Page MenuHomePhabricator

Allow the view action to show multiple slots [MCR]
Closed, ResolvedPublic

Description

When viewing a wiki page (revision), the content of all slots should be shown.

See https://www.mediawiki.org/wiki/Multi-Content_Revisions/Views#View_Action for notes.

NOTE: this is not a hard blocker for SDC General, since WikibaseMediaInfo already shows structured content on the file page using a hook. Using a generic mechanism would be better though, especially since it would make use of the ParserCache.

Event Timeline

daniel removed a project: Epic.Aug 24 2017, 2:48 PM
daniel moved this task from Inbox to Epic on the Multi-Content-Revisions board.Nov 20 2017, 7:40 PM
thiemowmde triaged this task as Medium priority.Dec 5 2017, 6:45 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 3:12 PM

Change 387685 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Deprecate methods in Article that delegate to WikiPage

https://gerrit.wikimedia.org/r/387685

daniel updated the task description. (Show Details)Mar 15 2018, 6:15 PM

Change 421794 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [MCR][WIP] Intropduce RevisionRenderer

https://gerrit.wikimedia.org/r/421794

Tgr claimed this task.Apr 26 2018, 5:02 PM
daniel moved this task from Epic to Inbox on the Multi-Content-Revisions board.May 7 2018, 10:48 AM
daniel updated the task description. (Show Details)May 15 2018, 9:15 AM
daniel claimed this task.Aug 14 2018, 12:08 PM
daniel added a subscriber: Tgr.

Change 452708 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Use RevisionRenderer for rendering ParserOutput

https://gerrit.wikimedia.org/r/452708

This is work in progress, but here's a first screenshot!

Change 453190 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Add tests for article viewing

https://gerrit.wikimedia.org/r/453190

Change 455865 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Apply content wrapping in ParserOutput::getText()

https://gerrit.wikimedia.org/r/455865

Change 453190 merged by jenkins-bot:
[mediawiki/core@master] Add tests for article viewing

https://gerrit.wikimedia.org/r/453190

Change 455865 merged by jenkins-bot:
[mediawiki/core@master] Apply content wrapping in ParserOutput::getText()

https://gerrit.wikimedia.org/r/455865

Change 457450 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Cover incomplete revision case in RenderedRevision.

https://gerrit.wikimedia.org/r/457450

Change 458526 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Require a Title as context for rendering.

https://gerrit.wikimedia.org/r/458526

Change 457450 merged by jenkins-bot:
[mediawiki/core@master] Cover incomplete revision case in RenderedRevision.

https://gerrit.wikimedia.org/r/457450

Change 452708 merged by jenkins-bot:
[mediawiki/core@master] Use RevisionRenderer for rendering ParserOutput

https://gerrit.wikimedia.org/r/452708

daniel reopened this task as Open.Oct 8 2018, 12:31 PM
daniel raised the priority of this task from Medium to High.

Re-opening, since we missed the fact that RefreshLinksJob will only re-render the main slot, and then place the ParserOutput for only the main slot into the parser cache. We need to survey all code paths that re-render and cache ParserOutput to avoid this problem.

Setting prio to high, since this blocks SDC deployment.

Change 465157 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Make RefreshLinksJob MCR compliant.

https://gerrit.wikimedia.org/r/465157

Change 465157 merged by jenkins-bot:
[mediawiki/core@master] Make RefreshLinksJob MCR compliant.

https://gerrit.wikimedia.org/r/465157

Tgr closed this task as Resolved.Oct 9 2018, 3:14 AM

Change 469025 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Follow-up T174035: Wrap inline ternary in brackets to make phpcs happy

https://gerrit.wikimedia.org/r/469025

Change 469025 merged by jenkins-bot:
[mediawiki/core@master] Follow-up T174035: Wrap inline ternary in brackets to make phpcs happy

https://gerrit.wikimedia.org/r/469025